## Parameters

`module G : Graphviz.GraphWithDotAttrs`

## Signature

`type cluster = string`
`exception Multiple_layouts of (G.E.t * XDot.edge_layout) list`
`class model : XDot.Make(G).graph_layout -> G.t -> [G.V.t, G.E.t, cluster] abstract_model`
`val from_graph : ?cmd:string -> ?tmp_name:string -> G.t -> model`

Creates a model using graphviz. `tmp_name` is the name of the temporary dot files.

- raises `DotError`

  if issue occurs with the generated dot file